Browse Source

Merge pull request #104 from Debian/master

Update debian/folder with the version in Debian
Joachim Nilsson 4 years ago
parent
commit
6ef60c9619
No account linked to committer's email
11 changed files with 53 additions and 42 deletions
  1. 0
    3
      debian/.gitignore
  2. 9
    4
      debian/changelog
  3. 0
    1
      debian/compat
  4. 10
    9
      debian/control
  5. 13
    17
      debian/copyright
  6. 1
    1
      debian/docs
  7. 12
    0
      debian/light.postinst
  8. 4
    2
      debian/rules
  9. 1
    1
      debian/source/format
  10. 0
    1
      debian/source/options
  11. 3
    3
      debian/watch

+ 0
- 3
debian/.gitignore View File

@@ -1,3 +0,0 @@
1
-files
2
-light.debhelper.log
3
-light.substvars

+ 9
- 4
debian/changelog View File

@@ -1,6 +1,11 @@
1
-light (1.2) unstable; urgency=low
1
+light (1.2.1-1) unstable; urgency=medium
2 2
 
3
-  * Initial Debian Release.
4
-
5
- -- Joachim Nilsson <troglobit@gmail.com>  Sat, 22 Sep 2018 11:53:32 +0200
3
+  * Initial Debian Release (Closes: #947974)
4
+    Thanks to Joachim Nilsson for the initial work
5
+  * d/control: Add dependency on udev
6
+  * d/light.postinst: Add udevadm trigger to reload permissions rules
7
+  * Fix udevadm trigger to make it effective without reboot
8
+  * d/copyright: Add myself
9
+  * d/control: Fix typo in description
6 10
 
11
+ -- Samuel Henrique <samueloph@debian.org>  Thu, 02 Jan 2020 22:45:35 +0000

+ 0
- 1
debian/compat View File

@@ -1 +0,0 @@
1
-10

+ 10
- 9
debian/control View File

@@ -1,19 +1,20 @@
1 1
 Source: light
2
-Section: x11
2
+Section: misc
3 3
 Priority: optional
4
-Maintainer: Joachim Nilsson <troglobit@gmail.com>
4
+Maintainer: Samuel Henrique <samueloph@debian.org>
5 5
 Homepage: https://github.com/haikarainen/light
6
-Build-Depends: debhelper (>= 10)
7
-Vcs-Git: https://github.com/haikarainen/light.git
8
-Vcs-Browser: https://github.com/haikarainen/light/commits/
9
-Standards-Version: 4.2.1
6
+Build-Depends: debhelper-compat (= 12)
7
+Vcs-Browser: https://salsa.debian.org/debian/light
8
+Vcs-Git: https://salsa.debian.org/debian/light.git
9
+Standards-Version: 4.4.1
10
+Rules-Requires-Root: no
10 11
 
11 12
 Package: light
12 13
 Architecture: any
13
-Depends: ${shlibs:Depends}, ${misc:Depends}
14
-Description: Control display backlight controllers and LEDs
14
+Depends: udev, ${shlibs:Depends}, ${misc:Depends}
15
+Description: control display backlight controllers and LEDs
15 16
  Light is a useful tool to control display brightness in lightweight
16
- desktops or window managers that do not have bundled appliations for
17
+ desktops or window managers that do not have bundled applications for
17 18
  this purpose.
18 19
  .
19 20
  Most modern laptops have moved away from hardware controlled brightness

+ 13
- 17
debian/copyright View File

@@ -1,31 +1,27 @@
1
-Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
1
+Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
2 2
 Upstream-Name: light
3 3
 Source: https://github.com/haikarainen/light
4 4
 
5 5
 Files: *
6
-Copyright: Copyright 2012-2018  Fredrik Haikarainen <fredrik.haikarainen@gmail.com>
6
+Copyright: 2012-2018 Fredrik Haikarainen <fredrik.haikarainen@gmail.com>
7 7
 License: GPL-3
8 8
 
9 9
 Files: debian/*
10
-Copyright: Copyright 2018  Joachim Nilsson <troglobit@gmail.com>
10
+Copyright: 2018 Joachim Nilsson <troglobit@gmail.com>
11
+           2019 Samuel Henrique <samueloph@debian.org>
11 12
 License: GPL-3
12 13
 
13 14
 License: GPL-3
14
- Indicator Weather is free software; you can redistribute it
15
- and/or modify it under the terms of the GNU General Public
16
- License version 3 as published by the Free Software Foundation.
15
+ This program is free software: you can redistribute it and/or modify
16
+ it under the terms of the GNU General Public License as published by
17
+ the Free Software Foundation, either version 3 of the License, or
18
+ (at your option) any later version.
17 19
  .
18
- Indicator Weather is distributed in the hope that it will be
19
- useful, but WITHOUT ANY WARRANTY; without even the implied
20
- warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
21
- PURPOSE.  See the GNU General Public License for more
22
- details. http://www.gnu.org/licenses/
23
- .
24
- You should have received a copy of the GNU General Public
25
- License along with this package; if not, write to the Free
26
- Software Foundation, Inc., 51 Franklin St, Fifth Floor,
27
- Boston, MA  02110-1301 USA
20
+ This program is distributed in the hope that it will be useful,
21
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
22
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
23
+ GNU General Public License for more details.
28 24
  .
29 25
  On Debian systems, the full text of the GNU General Public
30 26
  License version 3 can be found in the file
31
-`/usr/share/common-licenses/GPL-3'.
27
+ `/usr/share/common-licenses/GPL-3'.

+ 1
- 1
debian/docs View File

@@ -1 +1 @@
1
-README.md
1
+README*

+ 12
- 0
debian/light.postinst View File

@@ -0,0 +1,12 @@
1
+#!/bin/sh
2
+
3
+set -e
4
+
5
+#DEBHELPER#
6
+
7
+udevadm control --reload
8
+udevadm trigger --subsystem-match=backlight --subsystem-match=leds --action=change --settle
9
+
10
+# Reset udev rule action back to 'add', it was set to 'change' during
11
+# dh_auto_configure to make sure they are effective right away.
12
+sed -i 's/^ACTION=="change"/ACTION=="add"/g' /usr/lib/udev/rules.d/90-backlight.rules

+ 4
- 2
debian/rules View File

@@ -6,8 +6,10 @@ export DEB_BUILD_MAINT_OPTIONS = hardening=+all
6 6
 	dh $@
7 7
 
8 8
 override_dh_auto_configure:
9
-	dh_auto_configure -- --with-udev=/lib/udev/rules.d
10
-
9
+	dh_auto_configure -- --with-udev
10
+	# Change action type of udev rules to make it effective after
11
+	# installation, they are reset back with the poinst script.
12
+	sed -i 's/^ACTION=="add"/ACTION=="change"/g' 90-backlight.rules
11 13
 
12 14
 override_dh_installchangelogs:
13 15
 	dh_installchangelogs ChangeLog.md

+ 1
- 1
debian/source/format View File

@@ -1 +1 @@
1
-3.0 (native)
1
+3.0 (quilt)

+ 0
- 1
debian/source/options View File

@@ -1 +0,0 @@
1
-compression=xz

+ 3
- 3
debian/watch View File

@@ -1,3 +1,3 @@
1
-version=3
2
-opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/light-$1\.tar\.gz/ \
3
-  https://github.com/haikarainen/light/releases .*/light-?(\d\S*)\.tar\.gz
1
+version=4
2
+
3
+https://github.com/haikarainen/light/releases .*/archive/v?(\d\S*)\.tar\.gz